
Name:           mpv
Version:        0.25.0
Release:        %mkrel 2
Summary:        Advanced General Purpose Video Player
License:        GPL-2.0+
Group:          Video
Url:            http://mpv.io/
Source0:        https://github.com/mpv-player/mpv/archive/%name-%{version}.tar.xz
Source1:		mpv.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#------------------------------------------------------------------------------------
BuildRequires: %{_lib}alsa2-devel 
BuildRequires: %{_lib}ass-devel 
BuildRequires: %{_lib}bluray-devel 
BuildRequires: %{_lib}bs2b-devel 
BuildRequires: %{_lib}cdio-devel 
BuildRequires: %{_lib}cdio-paranoia-devel 
BuildRequires: %{_lib}drm-devel
BuildRequires: %{_lib}dvdnav-devel
BuildRequires: %{_lib}dvdread-devel
BuildRequires: %{_lib}enca-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}guess-devel
BuildRequires: %{_lib}jack-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}lua5.2-devel
BuildRequires: %{_lib}mowgli2-devel
BuildRequires: %{_lib}openal-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}v4l-devel
BuildRequires: %{_lib}va-devel
BuildRequires: %{_lib}vdpau-devel
BuildRequires: %{_lib}wayland-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xinerama-devel 
BuildRequires: %{_lib}xkbcommon-devel
BuildRequires: %{_lib}xrandr2-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: %{_lib}xscrnsaver-devel
BuildRequires: %{_lib}xv-devel
BuildRequires: mesa-devel
BuildRequires: pkgconfig
BuildRequires: python-docutils
BuildRequires: waf
BuildRequires:  yasm
BuildRequires: x11-proto-devel
BuildRequires: zlib1-devel
#------------------------------------------------------------------------
Requires: %{_lib}mowgli2_0

%description
mpv is a movie player based on MPlayer and mplayer2. It supports a wide variety
of video file formats, audio and video codecs, and subtitle types.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%name
Obsoletes:	%name-devel < %version

%description	devel
Development files for %name.


%prep
%setup -q

%build
LDFLAGS="%{ldflags} -lSDL" \
CCFLAGS="%{optflags}" \
waf configure \
	--prefix="%{_prefix}" \
	--bindir="%{_bindir}" \
	--mandir="%{_mandir}" \
	--libdir="%{_libdir}" \
	--docdir="%{_docdir}/%{name}" \
	--confdir="%{_sysconfdir}/%{name}" \
	--disable-libass \
	--disable-build-date \
	--disable-debug \
	--enable-openal \
	--enable-cdda \
	--enable-pulse \
	--enable-wayland \
	--enable-gl-wayland \
	--enable-egl-x11 \
	--enable-vaapi \
	--enable-vaapi-glx \
	--enable-vaapi-hwaccel \
	--enable-libmpv-shared \
	--enable-libass \
	--enable-libass-osd \
	--disable-debug \
	--enable-sdl2 \
	--enable-zsh-comp 
	
waf build --verbose



%install
rm -rf %buildroot
waf --destdir=%{buildroot} install

# add a default config that prefers hardware decoding if avalaible
mkdir -p %{buildroot}/%{_sysconfdir}/mpv/
install -m 0644 %SOURCE1 %{buildroot}/%{_sysconfdir}/mpv/mpv.conf

%files
%defattr(-,root,root)
%doc LICENSE Copyright README.md etc/input.conf
%{_bindir}/%{name}
%doc %{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_libdir}/*.so.*
%{_datadir}/icons/hicolor/scalable/apps/mpv.svg
%{_datadir}/icons/hicolor/symbolic/apps/mpv-symbolic.svg
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_datadir}/zsh/site-functions/_mpv
%config(noreplace) %{_sysconfdir}/mpv/encoding-profiles.conf

%files devel
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sun Sep 03 2017 adrianomorselli <adrianomorselli> 0.25.0-1uplos2017
- update
